org.eclnt.jsfserver.elements.impl

## Class FIXGRIDItem

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDItem
  Direct Known Subclasses:
    ARRAYGRIDItem, DynBeanUI.GridItem, FIXGRIDBeanItem, FIXGRIDPivotItem, FIXGRIDTreeItem, GridDetails.ColumnItem, IdAttributesSelection.IdAttributesLine, IdTextSelection.IdTextLine, ImageSelection.MyRow, LogViewer.AllGridItem, LogViewer.FileGridItem, ProfilingViewer.ProfilingFilesItem, ProfilingViewer.ProfilingGridItem, ROWTLCOCKPITBinding.TlgridItem, SC_FIXGRIDItem, SPANGRIDItem, Wizard.MyRow, WorkplaceFunctionSearchUI.GridItem, WorkplacePerspectiveManager.PerspectiveGridItem

      public class FIXGRIDItem
      extends java.lang.Object
      implements IFIXGRIDItem, java.io.Serializable

  Base class for all items that are added into a FIXGRIDListBinding's item processing.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FIXGRIDItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assignRowComponent(UIComponent rowComponent)` Default implementation => do nothing.
    `boolean` | `checkIfCellIsHighlighted(int cellIndex)` Checks if a certain cell is highlighted - cellIndex is the index of the corresponding colum within the FIXGRID definition.
    `boolean` | `checkIfCellsAreHighlighted()` Checks if there is at least one cell that is highlighted.
    `IChangeIndex` | `getChangeIndex()` Change index management.
    `java.util.Set<java.lang.Integer>` | `getHighlightedCells()` Cell Selection: indices of all cells that are highlighted.
    `long` | `getRequestFocus()` Information for client, if this row wants to receive the client side focus.
    `int` | `getRowHeight()` By default the row height of a row item is defined by the ROWHEIGHT attribute of the FIXGRID component.
    `boolean` | `getSelected()` Check if the item is selected.
    `void` | `highlightCell(int cellIndex)` Highlights a cell within the item.
    `void` | `onRowDeselect()` Reaction on row selections in the client.
    `void` | `onRowDrop(BaseActionEventDrop event)` Reaction when the user drops onto the row.
    `void` | `onRowExecute()` Reaction on row executions in the client (double click, return key selection).
    `void` | `onRowPopupMenuItem(BaseActionEventPopupMenuItem event)` Reaction when the use selects a popup menu item on row level.
    `void` | `onRowPopupMenuLoad(BaseActionEventPopupMenuLoad event)` Reaction when the use presses right click on row level.
    `void` | `onRowSelect()` Reaction on row selections in the client.
    `void` | `requestFocus()` Request the client side focus for this row.
    `void` | `setRowHeight(int rowHeight)`
    `void` | `setSelected(boolean value)` Do not set the selection direclty on item level.
    `void` | `unhighlightAllCells()` Clears all highlighting for this item.
    `void` | `unhighlightCell(int cellIndex)` Un-highlight cell.
    `void` | `unrequestFocus()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROWHEIGHT_DEFAULT

          public static final int ROWHEIGHT_DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FIXGRIDItem

          public FIXGRIDItem()

  - ### Method Detail

    - #### getRowHeight

          public int getRowHeight()

      By default the row height of a row item is defined by the ROWHEIGHT attribute of the FIXGRID component. You can assign eplicit individual row heights by using this method.
      The default value is `ROWHEIGHT_DEFAULT`.

    - #### setRowHeight

          public void setRowHeight(int rowHeight)

    - #### setSelected

          public void setSelected(boolean value)

      Do not set the selection direclty on item level. Use method `FIXGRIDBinding.selectItem(IFIXGRIDItem)` or `FIXGRIDBinding.selectItem(IFIXGRIDItem)` to do so.
      Specified by:
        `setSelected` in interface `IFIXGRIDItem`

    - #### getSelected

          public boolean getSelected()

      Check if the item is selected. Please note: there are methods in FIXGRIDBinding (e.g. `FIXGRIDBinding.getSelectedItem()`) that simplify the search for selected items as well.
      Specified by:
        `getSelected` in interface `IFIXGRIDItem`

    - #### onRowSelect

          public void onRowSelect()

      Reaction on row selections in the client. Override this method for specific reactions.
      Specified by:
        `onRowSelect` in interface `IFIXGRIDItem`

    - #### onRowDeselect

          public void onRowDeselect()

      Reaction on row selections in the client. Override this method for specific reactions.
      Specified by:
        `onRowDeselect` in interface `IFIXGRIDItem`

    - #### onRowExecute

          public void onRowExecute()

      Reaction on row executions in the client (double click, return key selection).
      Specified by:
        `onRowExecute` in interface `IFIXGRIDItem`

    - #### onRowDrop

          public void onRowDrop(BaseActionEventDrop event)

      Reaction when the user drops onto the row. Prerequisite: FIXGRID-ROWDROPRECEIVE must be defined.
      Specified by:
        `onRowDrop` in interface `IFIXGRIDItem`

    - #### onRowPopupMenuItem

          public void onRowPopupMenuItem(BaseActionEventPopupMenuItem event)

      Reaction when the use selects a popup menu item on row level. Prerequisite: FIXGRID-ROWPOPUPMENU must be defined.
      Specified by:
        `onRowPopupMenuItem` in interface `IFIXGRIDItem`

    - #### onRowPopupMenuLoad

          public void onRowPopupMenuLoad(BaseActionEventPopupMenuLoad event)

      Reaction when the use presses right click on row level. Prerequisite: FIXGRID-ROWPOPUPMENULOADROUNDTRIP must be set to true in the layout definition.
      Specified by:
        `onRowPopupMenuLoad` in interface `IFIXGRIDItem`

    - #### getChangeIndex

          public IChangeIndex getChangeIndex()

      Change index management. Using the change index management you can achieve significant server side and client side performance enhancements. This method is only used when the corresponding grid (`FIXGRIDBinding`) return "true" within the method

    - #### getHighlightedCells

          public java.util.Set<java.lang.Integer> getHighlightedCells()

      Cell Selection: indices of all cells that are highlighted. Do not manipulate this set directly but use the functions `highlightCell(int)` or `unhighlightCell(int)`.

    - #### getRequestFocus

          public long getRequestFocus()

      Information for client, if this row wants to receive the client side focus.
      Specified by:
        `getRequestFocus` in interface `IFIXGRIDItem`

    - #### requestFocus

          public void requestFocus()

      Request the client side focus for this row. This method should not be directly called by an application - the application should use `FIXGRIDBinding.selectAndFocusItem(FIXGRIDItem)`. Calling this function ensures that focus and selection are in synch. Otherwise it might happen that you select a certain row, but put the focus into a different one, which is quite confusing for the user.
      Specified by:
        `requestFocus` in interface `IFIXGRIDItem`

    - #### unrequestFocus

          public void unrequestFocus()

      Specified by:
        `unrequestFocus` in interface `IFIXGRIDItem`

    - #### highlightCell

          public void highlightCell(int cellIndex)

      Highlights a cell within the item. The cellIndex is the index of the column within the FIXGRID definition.

    - #### unhighlightCell

          public void unhighlightCell(int cellIndex)

      Un-highlight cell. The cellIndex is the index of the column within the FIXGRID definition.

    - #### unhighlightAllCells

          public void unhighlightAllCells()

      Clears all highlighting for this item.

    - #### checkIfCellsAreHighlighted

          public boolean checkIfCellsAreHighlighted()

      Checks if there is at least one cell that is highlighted.

    - #### checkIfCellIsHighlighted

          public boolean checkIfCellIsHighlighted(int cellIndex)

      Checks if a certain cell is highlighted - cellIndex is the index of the corresponding colum within the FIXGRID definition.

    - #### assignRowComponent

          public void assignRowComponent(UIComponent rowComponent)

      Default implementation => do nothing.
      Specified by:
        `assignRowComponent` in interface `IFIXGRIDItem`

Copyright © CaptainCasa Gmbh. All Rights Reserved.